Metafunction
AllowsFastRandomAccess
Determines whether a sequence efficiently supports random access.
AllowsFastRandomAccess<T>::VALUE
Include Headers
seqan/sequence.h
Parameters

T | Type that is tested for fast random access.

Remarks
For example Alloc String, Segment, and Block String return true.
Return Values

VALUE | true if T supports fast random access, false otherwise.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50